# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: metrics.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\rmetrics.proto\x12\x0c\x61\x63ts.metrics\"\xec\x01\n\rBoundedMetric\x12\x12\n\ntest_class\x18\x01 \x01(\t\x12\x13\n\x0btest_method\x18\x02 \x01(\t\x12\x0e\n\x06metric\x18\x03 \x01(\t\x12\r\n\x05value\x18\x04 \x01(\x01\x12.\n\x0blower_limit\x18\x05 \x01(\x0b\x32\x19.acts.metrics.DoubleValue\x12.\n\x0bupper_limit\x18\x06 \x01(\x0b\x32\x19.acts.metrics.DoubleValue\x12\x0c\n\x04unit\x18\x07 \x01(\t\x12%\n\x05\x65xtra\x18\x08 \x03(\x0b\x32\x16.acts.metrics.KeyValue\"\x1c\n\x0b\x44oubleValue\x12\r\n\x05value\x18\x01 \x01(\x01\"&\n\x08KeyValue\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\t\"L\n\x14\x42oundedMetricsBundle\x12\x34\n\x0f\x62ounded_metrics\x18\x01 \x03(\x0b\x32\x1b.acts.metrics.BoundedMetricB\x1a\n\x18\x63om.android.acts.metrics')

_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, globals())
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'metrics_pb2', globals())
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  DESCRIPTOR._serialized_options = b'\n\030com.android.acts.metrics'
  _BOUNDEDMETRIC._serialized_start=32
  _BOUNDEDMETRIC._serialized_end=268
  _DOUBLEVALUE._serialized_start=270
  _DOUBLEVALUE._serialized_end=298
  _KEYVALUE._serialized_start=300
  _KEYVALUE._serialized_end=338
  _BOUNDEDMETRICSBUNDLE._serialized_start=340
  _BOUNDEDMETRICSBUNDLE._serialized_end=416
# @@protoc_insertion_point(module_scope)
